#! /bin/bash

# Creates and initialises the Agnostos Database.
echo -n "Creating database..."
echo "create database agnostos" | mysql
echo "done."

echo -n "Creating tables..."
cat mysql_data/database_struct  | mysql agnostos
echo "done."

echo -n "Initialising database..."
cat mysql_data/agnostos_inserts | mysql agnostos
echo "done."

echo -n "Updating mysql table..."
cat mysql_data/mysql_inserts    | mysql mysql
echo "done."

echo -n "Reloading mysql permissions..."
mysqladmin reload
echo "done."

